## UDisksLinuxManagerNVMe

UDisksLinuxManagerNVMe — Linux implementation of UDisksManagerNVMe

## Functions

UDisksManagerNVMe * | udisks_linux_manager_nvme_new ()
UDisksDaemon * | udisks_linux_manager_nvme_get_daemon ()

## Types and Values

| UDisksLinuxManagerNVMe

## Description

This type provides an implementation of the UDisksManagerNVMe interface on Linux.

## Functions

### udisks_linux_manager_nvme_new ()

    UDisksManagerNVMe *
    udisks_linux_manager_nvme_new (UDisksDaemon *daemon);

Creates a new UDisksLinuxManagerNVMe instance.

#### Parameters

daemon | A UDisksDaemon. |

#### Returns

A new UDisksLinuxManagerNVMe. Free with `g_object_unref()`.

### udisks_linux_manager_nvme_get_daemon ()

    UDisksDaemon *
    udisks_linux_manager_nvme_get_daemon (UDisksLinuxManagerNVMe *manager);

Gets the daemon used by `manager` .

#### Parameters

manager | A UDisksLinuxManagerNVMe. |

#### Returns

A UDisksDaemon. Do not free, the object is owned by `manager` .

## Types and Values

### UDisksLinuxManagerNVMe

    typedef struct _UDisksLinuxManagerNVMe UDisksLinuxManagerNVMe;

The UDisksLinuxManagerNVMe structure contains only private data and should only be accessed using the provided API.